Skip to main content
POST
/
issuer-quote
Create Issuer Quote
curl --request POST \
  --url https://api.paxos.com/v2/issuer-quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "profile_id": "<string>",
  "market": "<string>",
  "base_amount": "<string>"
}
'
import requests

url = "https://api.paxos.com/v2/issuer-quote"

payload = {
"profile_id": "<string>",
"market": "<string>",
"base_amount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile_id: '<string>', market: '<string>', base_amount: '<string>'})
};

fetch('https://api.paxos.com/v2/issuer-quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "quote_id": "2ce28645-2e1c-4a5d-8799-90e7b6e02673",
  "market": "PAXGUSD",
  "side": "SELL",
  "quantity": "0.05",
  "price": "11.33",
  "fee": "0.02",
  "quote_amount": "0.34",
  "expires_at": "2025-09-11T11:23:03.327913249Z"
}
OAuth Scope
exchange:write_issuer_quote

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Body

application/json
profile_id
string
required

The profile ID under which to execute this order.

market
string
required

Trading pair for the quote. Only "PAXGUSD" is currently supported.

side
enum<string>
required

Trade side.

Available options:
BUY,
SELL
base_amount
string<decimal>
required

The amount of assets (crypto) to mint or redeem.

Response

200 - application/json

A successful response.

quote_id
string
required

The ID of the held issuer quote for buying or selling an asset.

market
string
required

Trading pair for the issuer quote.

side
enum<string>
required

Trade side.

Available options:
BUY,
SELL
quantity
string<decimal>
required

Amount of asset (crypto) in the issuer quote.

price
string<decimal>
required

Cost per unit of the asset.

fee
string<decimal>
required

Fee to pay for the transaction.

quote_amount
string<decimal>
required

Amount of fiat to spend or acquire using the issuer quote, excluding fees.

expires_at
string<date-time>
required

The time at which the issuer quote expires.